/* moved to types.h P.K. */
/*
#ifndef __paletsg__
#define __paletsg__
typedef struct {
  SDL_Color *pal1;
  SDL_Color *pal2;
  int debut1;
  int fin1;
  int debut2;
  int fin2;
}paletsg;
#endif // __paletsg__
*/

#ifndef _pouv_
#define _pouv_

SDL_Color * chpal(float rmul, float gmul, float bmul, int debut, int fin);
paletsg changepalette(float rmul, float gmul, float bmul, int debut1, int fin1, int debut2, int fin2, int v);
void restorepalette(paletsg p, int v); /* Les mettre ailleurs ? */

void initpouv(int n);
void pouvoirplus(int n, int p, int coute);
void gerepouvoirs(void);

void teleporte_f(int n, int p, int action);
void touteteindre_f(int n, int p, int action);
void detonateur_f(int n, int p, int action);
//void melange_f(int n, int p, int action);
void bigexplosion_f(int n, int p, int action);
void deguisement_f(int n, int p, int action);
void bouclier_f(int n, int p, int action);
void plusdefeu_f(int n, int p, int action);
void plusdefeu_f(int n, int p, int action);
void invisible_f(int n, int p, int action);
void furie_f(int n, int p, int action);
void vitesse_f(int n, int p, int action);
void passemur_f(int n, int p, int action);
void superbombes_f(int n, int p, int action);

#endif /* #ifndef pouv */

#ifndef __Pouvoir__
#define __Pouvoir__
typedef struct {
  void (*f)(int n, int p, int action);
  int energie;
  int type;
}Pouvoir;
#endif
